/* get_basename.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef GET_BASENAME_H
#define GET_BASENAME_H

#include <string>

// This returns the local part of the filename: everything following
// the rightmost slash.
string get_basename(const string &filename);

// As above, without the trailing extension.
string get_basename_no_ext(const string &filename);

// The directory part of the filename: everything up to and including
// the rightmost slash.
string get_dirname(const string &filename);

#endif

